OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
SaveLoadFormat Struct Reference

The format for a reader/writer type of a savegame. More...

## Data Fields
const char * | name
| name of the compressor/decompressor (debug-only)
uint32 | tag
| the 4-letter tag by which it is identified in the savegame
LoadFilter *(* | init_load )(LoadFilter *chain)
| Constructor for the load filter.
SaveFilter *(* | init_write )(SaveFilter *chain, byte compression)
| Constructor for the save filter.
byte | min_compression
| the minimum compression level of this format
byte | default_compression
| the default compression level of this format
byte | max_compression
| the maximum compression level of this format

## Detailed Description

The format for a reader/writer type of a savegame.

Definition at line 2334 of file saveload.cpp.

The documentation for this struct was generated from the following file:

- src/saveload/saveload.cpp